Bug 23683 - Course reserves public notes on specific items should allow for HTML
Summary: Course reserves public notes on specific items should allow for HTML
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-26 15:20 UTC by Lucas Gass
Modified: 2019-11-06 13:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 23683: Course reserves public notes on specific items should allow for HTML (2.26 KB, patch)
2019-09-26 15:30 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23683: Course reserves public notes on specific items should allow for HTML (2.31 KB, patch)
2019-09-26 18:20 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23683: Course reserves public notes on specific items should allow for HTML (2.41 KB, patch)
2019-09-27 09:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-09-26 15:20:10 UTC
BZ22501 allowed librarians to add public notes in HTML to each course but did not allow for the public note on each item in course-items-table to include HTML. Some librarians would like these to also allow for HTML so the can build links. 

A $raw filter should be used on both the OPAC (#course-items-table) AND the staff client (#course_reserves_table).

These notes can only be entered from the staff client so this should be allowable.
Comment 1 Lucas Gass 2019-09-26 15:30:44 UTC
Created attachment 93168 [details] [review]
Bug 23683: Course reserves public notes on specific items should allow for HTML

TEST PLAN:
1. Create A Course Reserve 
2. Add an item to that course and include some HTML in the public note feild.
3. Go to the Course details page in the OPAC and Staff Client and observe the table which includes your reserve item.
4. Notice that it displays HTML literally.
5. Apply Patch and restart_all
6. Visit both the course details page again (staff and OPAC) and notice that the HTML renders.
7. Rejoice!
Comment 2 ByWater Sandboxes 2019-09-26 18:20:39 UTC
Created attachment 93169 [details] [review]
Bug 23683: Course reserves public notes on specific items should allow for HTML

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 3 Marcel de Rooy 2019-09-27 09:34:43 UTC
Created attachment 93187 [details] [review]
Bug 23683: Course reserves public notes on specific items should allow for HTML

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2019-09-27 09:36:27 UTC
With reference to bug 23412 in FQA, Berlin <Germany> does not work. But Alice and Bob are fine ;)

Passed QA
Comment 5 Martin Renvoize 2019-09-27 12:59:51 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-10-08 07:15:56 UTC
Pushed to 19.05.x for 19.05.05
Comment 7 Fridolin SOMERS 2019-10-08 07:16:40 UTC
You can see there is just after cr.public_note :
 cr.item.itemnotes | $raw
Comment 8 Lucas Gass 2019-10-17 20:25:48 UTC
backported to 18.11.x for 18.11.11